---
title: GET /compose-contents/{content_id}
slug: content-marketing-platform/api/get-compose-contentscontentid
docTags: 
createdAt: 2026-10-18T11:50:10.401Z
---

{
  "id": "CCR8xiBuxGIlg4DP4MtM1",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/compose-contents/{content_id}",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/compose-contents/{content_id}",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /compose-contents/{content_id}",
    "description": "<p>Experimental Get a compose content from the library, with the field values of its published version. Returns 404 if the content was never published.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "content_id",
          "type": "string",
          "example": "db1jqsvq64lsu74mnujg",
          "description": "Unique identifier of the compose content in the library"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Fetched compose content",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "LibraryComposeContentResponse",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier of the compose content",
                "example": "db1jqsvq64lsu74mnujg"
              },
              {
                "name": "title",
                "kind": "required",
                "type": "string",
                "description": "Title of the compose content. Empty string if the content has no title.",
                "example": "Hello from Open API"
              },
              {
                "name": "status",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Status of the library asset",
                "example": "published"
              },
              {
                "name": "content_schema",
                "kind": "required",
                "type": "object",
                "nullable": true,
                "description": "Content schema of the compose content",
                "example": "",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "Internal identifier of the content schema",
                    "example": "db5lfu5h7f0s1otndoug"
                  },
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "Name of the content schema",
                    "example": "Blog Post"
                  }
                ]
              },
              {
                "name": "created_at",
                "kind": "required",
                "type": "string<date-time>",
                "description": "<p>Date and time on which the compose content was created, in ISO 8601 UTC format</p>",
                "example": "2026-10-11T09:36:01Z",
                "format": "date-time"
              },
              {
                "name": "modified_at",
                "kind": "required",
                "type": "string<date-time>",
                "description": "<p>Date and time of the most recent modification of the compose content, in ISO 8601 UTC format</p>",
                "example": "2026-10-11T10:02:45Z",
                "format": "date-time"
              },
              {
                "name": "folder_id",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "ID of the folder containing the compose content in the library",
                "example": "6bb8db20a5b611ebae319b7c541b1a5a"
              },
              {
                "name": "file_location",
                "kind": "required",
                "type": "string",
                "description": "Location of the folder containing the compose content in the library",
                "example": "/all files/"
              },
              {
                "name": "is_archived",
                "kind": "required",
                "type": "boolean",
                "description": "Whether the compose content is archived or not",
                "example": false
              },
              {
                "name": "owner_organization_id",
                "kind": "required",
                "type": "string",
                "description": "ID of owner organization of the compose content",
                "example": "5108c3a9becac35915111191"
              },
              {
                "name": "fields",
                "kind": "required",
                "type": "object",
                "description": "Field values of the published version of the compose content",
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "ComposeContentFields",
                    "description": "",
                    "modelRef": "#/components/schemas/ComposeContentFields",
                    "schema": []
                  }
                ],
                "schema": []
              },
              {
                "name": "labels",
                "kind": "required",
                "type": "array",
                "description": "Labels associated with the compose content",
                "modelRef": "#/components/schemas/ResourceLabelResponse",
                "customType": "ResourceLabelResponse[]",
                "schema": [
                  {
                    "name": "group",
                    "kind": "required",
                    "type": "object",
                    "description": "Label group",
                    "example": "",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Identifier of the label group",
                        "example": "2467e583a60e23fda2b89db81a453cd2"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the label group",
                        "example": "Content Format"
                      }
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "description": "List of values of the label",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Identifier of the label value",
                        "example": "71c378f3fee3d822759d1bdc2aab628c"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the label value",
                        "example": "Photos"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "links",
                "kind": "required",
                "type": "object",
                "description": "Meta links",
                "example": "",
                "schema": [
                  {
                    "name": "self",
                    "kind": "required",
                    "type": "string",
                    "description": "URL of the compose content",
                    "example": "https://api.cmp.optimizely.com/v3/compose-contents/db1jqsvq64lsu74mnujg"
                  },
                  {
                    "name": "content_schema",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "URL of the content schema",
                    "example": "https://api.cmp.optimizely.com/v3/compose/content-schemas/db5lfu5h7f0s1otndoug"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/LibraryComposeContentResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Client error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unsupported arguments: a,b,c\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not found error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Resource not found\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "FB9JaOnifN8wDu8tSXzqP",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.cmp.optimizely.com/v3/compose-contents/{content_id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "DF5eTteaKwRkUSjRYav_u",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/compose-contents/{content_id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "L_vR0mk3yHcsn6kICwhu_",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/compose-contents/{content_id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "OUB5BMZ1p28VDIt_gBllt",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/compose-contents/{content_id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "FB9JaOnifN8wDu8tSXzqP"
    },
    "results": {
      "languages": [
        {
          "id": "kYCflCUgRoZDsMphNJofW",
          "language": "200",
          "code": "// Fetched compose content\n{\n  \"id\": \"db1jqsvq64lsu74mnujg\",\n  \"title\": \"Hello from Open API\",\n  \"status\": \"published\",\n  \"content_schema\": {\n    \"id\": \"db5lfu5h7f0s1otndoug\",\n    \"name\": \"Blog Post\"\n  },\n  \"created_at\": \"2026-10-11T09:36:01Z\",\n  \"modified_at\": \"2026-10-11T10:02:45Z\",\n  \"folder_id\": \"6bb8db20a5b611ebae319b7c541b1a5a\",\n  \"file_location\": \"/all files/\",\n  \"is_archived\": false,\n  \"owner_organization_id\": \"5108c3a9becac35915111191\",\n  \"fields\": {},\n  \"labels\": [\n    {\n      \"group\": {\n        \"id\": \"2467e583a60e23fda2b89db81a453cd2\",\n        \"name\": \"Content Format\"\n      },\n      \"values\": [\n        {\n          \"id\": \"71c378f3fee3d822759d1bdc2aab628c\",\n          \"name\": \"Photos\"\n        }\n      ]\n    }\n  ],\n  \"links\": {\n    \"self\": \"https://api.cmp.optimizely.com/v3/compose-contents/db1jqsvq64lsu74mnujg\",\n    \"content_schema\": \"https://api.cmp.optimizely.com/v3/compose/content-schemas/db5lfu5h7f0s1otndoug\"\n  }\n}"
        },
        {
          "id": "99YX1P-wkkRWb1jA-5ykf",
          "language": "400",
          "code": "// Client error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "FFUn4jWGY3vnfVY7telJ0",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "lV8lGQAYjFJTAN1jPHhZ2",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "59yexB-4P5p4TmoDMxpro",
          "language": "404",
          "code": "// Not found error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "kYCflCUgRoZDsMphNJofW"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}